package thirdweekpractice.regexp;

public class RegexpTheory   {
    /*
  1)  Поиск текста:
    Текст: Java, java, program
    regex: java
    Регулярные выражения регистрозависимые!
    заранее заданный текст, статический.

   2) Поиск любого символа:
    . - найдет любой символ (один)
    Regex: А.я
    Аня
    Ася
    Оля
    Аля
    Валя

    Точка найдет и точку
    Regex: file
    file.txt
    file1.txt
    file2.xls
    найти все файлы с раширение .txt:
    Regex: .txt
    Экранирование!!!
    Regex: \.txt

    . -любой символ
    \. - точка
    Поиск по набору символов
    Мы хотим найти имена Алла, Анна в списке.
    Можем попробовать через точку (две) , но ....
    Regex: А..а
    Анна
    Алла
    арикА74аоопт
    Аркан
    А^&а
    Абба

    Если мы хотим ограничить наш поиск, то нужно использовать диапозоны допустимых знчений.
    Ставим квадратные скобки, внутри перечисляем нужные нам символы:
    Regex: А[нн][нл]а

    Если мы хотим организовать наш поиск, то нужно использовать диапозоны допустимыхмзначений.
    Ставим квадратные скобки, внутри перечисляем нужные нам символы:
    Regexp: А[нн][нл]а
    [нл] - только "н" и "л"
    [нл] - все руские буквы внижнем регистре от "а" до "я" (кроме "ё")
    [А - Я] - все заглавные русские буквы
    [А-Яа-яЁё] - все русские беквы
    [a-z] - латиница мелким шрифтом
    [a-zA-Z] все английские буквы
    [0-9] - любая цифра
    [0-10] - буквы от "В" до "10" (да, диапозон - это не только от А до Я)
    [А-ГО-Р]  -  буквы от "А" до "Г" и от "О" до "Р"

    от одного до трех и цифра один
    [1-31]
    4) Исключения
    ^ внутри [] означает исключение
    [^0-9] - любой символ, кроме цифр
    [^ёЁ]- любой символ, кроме букв "ё"
    [^а-в8] - любой символ, кроме букв "а", "б", "в" и цифры 8

    regexp: [^0-9]\.txt
    file.txt
    log.txt
    file_1.txt
    1.txt

    regexp: fruits\[[0-9]\]
       fruits[0]= "апельсин";
       fruits[1]= "яблоко";
       fruits[2]= "лимон";
     fruits["любое однозначное число"]


     */
}
